RPC.LOCK(8)

NAME
rpc.lock - NFS file locking daemon

SYNOPSIS
/sbin/rpc.lockd [-d [debug_level]]

DESCRIPTION
rpc.rstatd is a daemon which provides file- and record-locking services in an NFS environment.

Options and operands available for rpc.lockd:

-d  The -d option causes debugging information to be written to syslog, recording all RPC transations to the daemon. These messages are logged with level LOG_DEBUG and facility LOG_DAEMON. If debug_level is not specified, level 1 is assumed, giving one log line per protocol operation. Higher debug levels can be specified, causing display of operation arguments and internal operations of the daemon.

Error conditions are logged to syslog, irrespecive of the debug level, using log level LOG_ERR and facility LOG_DAEMON.

The rpc.lockd daemon must NOT be invoked by inetd(8) because the protocol assumes that the daemon will run from system start time. Instead, it should be run from rc(8) after the network has been started.

FILES
/usr/include/rpcsvc/nlm_prot.x
    RPC protocol specification for the network lock manager protocol.

SEE ALSO
rpc.statd(8), rc(8), syslog(3)

BUGS
The current implementation provides only the server side of the protocol (ie. clients running other OS types can establish locks on a FreeBSD fileserver, but there is currently no means for a FreeBSD client to establish locks).

Versions 1, 2 and 3 of the protocol are supported. However, only versions 2 (Unix systems) and 3 (PC-NFS clients) seem to be in common use - the version 1 support has not been tested due to the lack of version 1 clients against which to test.

STANDARDS
The implementation is based on the specification in X/Open CAE Specification C218, "Protocols for X/Open PC Interworking: XNFS, Issue 4", ISBN 1 872630 66 9